<div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="10px" style="padding: 30px">
  <h1>Plannings</h1>
  <div fxFill fxLayoutAlign="start center" fxLayoutGap="10px">
    <a aria-label="Ajout planning" color="primary" mat-flat-button
       routerLink="/planning/create">
      Nouveau planning
    </a>
  </div>

  <mat-table fxFill [dataSource]="datasource" *ngIf="datasource">
    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef>ID</mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.id}} </mat-cell>
    </ng-container>
    <ng-container matColumnDef="date">
      <mat-header-cell *matHeaderCellDef>date de creation</mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.created_date}} </mat-cell>
    </ng-container>
    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.name}} </mat-cell>
    </ng-container>
    <mat-header-row *matHeaderRowDef="['id','date', 'name']"></mat-header-row>
    <mat-row *matRowDef="let row; columns: ['id','date', 'name']" (click)="onClikRow(row)"></mat-row>
  </mat-table>
</div>
